# -*- coding: utf-8 -*-

# -----------------------------------------------------------------------------
# Copyright 2016 Anaconda, Inc.
#
# May be copied and distributed freely only as part of an Anaconda or
# Miniconda installation.
# -----------------------------------------------------------------------------

"""Module in charge of the configuration settings."""

import os
import sys

from navigator_updater.config.base import get_conf_path, get_home_dir

# FLAGS
LINUX = sys.platform.startswith('linux')

CONF_PATH = get_conf_path()
LOCKFILE = os.path.join(CONF_PATH, 'navigator_updater.lock')
NAVIGATOR_LOCKFILE = os.path.join(CONF_PATH, 'navigator.lock')

# Logging
LOG_FOLDER = os.path.join(CONF_PATH, 'logs')
LOG_FILENAME = 'navigator_updater.log'
MAX_LOG_FILE_SIZE = 2 * 1024 * 1024
