# -*- coding: utf-8 -*-

# -----------------------------------------------------------------------------
# Copyright (c) Spyder Project Contributors
#
# Licensed under the terms of the MIT License
# (see spyder/__init__.py for details)
# -----------------------------------------------------------------------------

"""Miscellaneous utilities."""

from __future__ import annotations

__all__ = ['set_windows_app_user_model_id']


def set_windows_app_user_model_id() -> str:
    """Make sure correct icon is used on Windows 7 taskbar"""
    try:
        from ctypes import windll  # type: ignore  # pylint: disable=import-outside-toplevel
        return windll.shell32.SetCurrentProcessExplicitAppUserModelID('anaconda.Anaconda-Navigator')
    except AttributeError:
        return 'SetCurrentProcessExplicitAppUserModelID not found'
